<ion-header>
  <ion-toolbar>
    <ion-title>Ajout de pharmacie</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen class="ion-padding" >
  <ion-slides  [options]="slideOpts" #slides>
    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideNameForm">
            <h2>Rubrique identité</h2>
            <p>Quelle est le  nom de votre pharmacie ?</p>
            <ion-item>
              <ion-label position="floating">Nom</ion-label>
              <ion-input formControlName="nom"[(ngModel)]="pharmacie.nom" required></ion-input>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Ninea</ion-label>
              <ion-input formControlName="ninea"[(ngModel)]="pharmacie.ninea"></ion-input>
            </ion-item>
            <p>Qui est le manager de la pharmacie ?</p>

            <ion-item>
              <ion-item>
                <ion-label position="floating">Nom</ion-label>
                <ion-input formControlName="nmanager"[(ngModel)]="pharmacie.manager.nom" required></ion-input>
              </ion-item>
              <ion-label position="floating">Prenom</ion-label>
              <ion-input formControlName="pmanager"[(ngModel)]="pharmacie.manager.prenom" required></ion-input>
            </ion-item>
            <p>Quelle est votre situation?</p>
            <ion-item>
              <ion-label position="floating">Type</ion-label>
              <ion-select  required [(ngModel)]="pharmacie.type"   formControlName="type" >
                <ion-select-option  value="standard"   >Pharmacie standard</ion-select-option>
                <ion-select-option  value="garde"   >Pharmacie de garde</ion-select-option>
                <ion-select-option  value="multi"   >Pharmacie standard et de garde</ion-select-option>
              </ion-select>
            </ion-item>

          </form>
          <div>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slideNameForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>

          <!--          <div class="content">-->
          <!--            <div class="ion-padding">-->
          <!--              <ion-button  shape="round" class="btn btn-secondary btnred ion-no-margin" expand="block"-->
          <!--                           type="submit" [disabled]="slideTypeForm.invalid" (click)="next()">Suivant<ion-icon name="arrow-forward-outline"></ion-icon>-->
          <!--              </ion-button>-->
          <!--            </div>-->
          <!--          </div>-->
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideContactForm">
            <h2>Rubrique contact</h2>
            <p>Quels sont vos moyens de contact?</p>

            <ion-item>
              <ion-label position="floating">Téléphone</ion-label>
              <ion-input formControlName="tel"[(ngModel)]="pharmacie.tel" required></ion-input>
            </ion-item>

            <ion-item>
              <ion-label position="floating">Email</ion-label>
              <ion-input formControlName="mail"[(ngModel)]="pharmacie.mail"></ion-input>
            </ion-item>
          </form>
          <div style="width: 100%;display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slideContactForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>

          <!--          <div class="content">-->
          <!--            <div class="ion-padding">-->
          <!--              <ion-button  shape="round" class="btn btn-secondary btnred ion-no-margin" expand="block"-->
          <!--                           type="submit" [disabled]="slideTypeForm.invalid" (click)="next()">Suivant<ion-icon name="arrow-forward-outline"></ion-icon>-->
          <!--              </ion-button>-->
          <!--            </div>-->
          <!--          </div>-->
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">


          <form [formGroup]="slideRegionForm">
            <h2>Rubrique localité</h2>
            <p>Quelle région, departement, localité?</p>
            <ion-item>
              <ion-label position="floating">Région</ion-label>
              <ion-select  required [(ngModel)]="pharmacie.region" (ionChange)="departementid(pharmacie.region)"  formControlName="region" interface="action-sheet">
                <ion-select-option *ngFor="let region of regions" [value]="region.id"   >{{region.nom}}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Département</ion-label>
              <ion-select required  [(ngModel)]="pharmacie.departement" formControlName="departement" interface="action-sheet">
                <ion-select-option *ngFor="let departement of departements" [value]="departement.id">{{departement.nom}}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item>
              <ion-label position="floating">Localite</ion-label>
              <ion-input [(ngModel)]="pharmacie.localite" required formControlName="localite"></ion-input>
            </ion-item>

          </form>

          <div style="width: 100%;display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slideRegionForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>
        </div>
      </div>

    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slidePositionForm">
            <h2>Rubrique position</h2>

            <div id="mapmec"></div>

          </form>


          <div style="width: 100%;display: flex">

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slidePositionForm.invalid"  (click)="onSubmit()">Ajoutez
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

<!--    <ion-slide>-->
<!--      <div class="slide">-->
<!--        <div class="container">-->
<!--          <form [formGroup]="slideServiceForm">-->
<!--            <h2>Rubrique service</h2>-->
<!--            <h3>Avez vous un service mécanique? </h3>-->
<!--            <ion-radio-group formControlName="mecanique" required [(ngModel)]="pharmacie.mecanique">-->
<!--              <ion-list-header>-->
<!--                <ion-label>Service mecanique</ion-label>-->
<!--              </ion-list-header>-->
<!--              <div style="display: flex">-->
<!--                <ion-item lines="none">-->
<!--                  <ion-label>oui</ion-label>-->
<!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
<!--                </ion-item>-->

<!--                <ion-item lines="none">-->
<!--                  <ion-label>non</ion-label>-->
<!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
<!--                </ion-item>-->
<!--              </div>-->
<!--            </ion-radio-group>-->

<!--            <h3>Avez vous un service electrique? </h3>-->
<!--            <ion-radio-group formControlName="electrique" required [(ngModel)]="pharmacie.electrique">-->
<!--              <ion-list-header>-->
<!--                <ion-label>Service electrique</ion-label>-->
<!--              </ion-list-header>-->
<!--              <div style="display: flex">-->
<!--                <ion-item lines="none">-->
<!--                  <ion-label>oui</ion-label>-->
<!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
<!--                </ion-item>-->

<!--                <ion-item lines="none">-->
<!--                  <ion-label>non</ion-label>-->
<!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
<!--                </ion-item>-->
<!--              </div>-->
<!--            </ion-radio-group>-->

<!--            <h3>Avez vous un service de carosserie? </h3>-->
<!--            <ion-radio-group formControlName="carosserie" required [(ngModel)]="pharmacie.carosserie">-->
<!--              <ion-list-header>-->
<!--                <ion-label>Service carosserie</ion-label>-->
<!--              </ion-list-header>-->
<!--              <div style="display: flex">-->
<!--                <ion-item lines="none">-->
<!--                  <ion-label>oui</ion-label>-->
<!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
<!--                </ion-item>-->

<!--                <ion-item lines="none">-->
<!--                  <ion-label>non</ion-label>-->
<!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
<!--                </ion-item>-->
<!--              </div>-->
<!--            </ion-radio-group>-->

<!--            <h3>Avez vous un service de dépannage d'urgence? </h3>-->
<!--            <ion-radio-group formControlName="urgence" required [(ngModel)]="pharmacie.depannage">-->
<!--              <ion-list-header>-->
<!--                <ion-label>Service dépannage</ion-label>-->
<!--              </ion-list-header>-->
<!--              <div style="display: flex">-->
<!--                <ion-item lines="none">-->
<!--                  <ion-label>oui</ion-label>-->
<!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
<!--                </ion-item>-->

<!--                <ion-item lines="none">-->
<!--                  <ion-label>non</ion-label>-->
<!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
<!--                </ion-item>-->
<!--              </div>-->
<!--            </ion-radio-group>-->

<!--            <h3>Avez vous un valise de diagnostic? </h3>-->
<!--            <ion-radio-group formControlName="vdiagnostic" required [(ngModel)]="pharmacie.vdiagnostic">-->
<!--              <ion-list-header>-->
<!--                <ion-label>Valise de diagnostic</ion-label>-->
<!--              </ion-list-header>-->
<!--              <div style="display: flex">-->
<!--                <ion-item lines="none">-->
<!--                  <ion-label>oui</ion-label>-->
<!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
<!--                </ion-item>-->

<!--                <ion-item lines="none">-->
<!--                  <ion-label>non</ion-label>-->
<!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
<!--                </ion-item>-->
<!--              </div>-->
<!--            </ion-radio-group>-->

<!--          </form>-->
<!--          <div style="width: 100%;display: flex">-->
<!--            <ion-button  shape="round" class="btn btn-secondary btnred"-->
<!--                         type="submit"   (click)="previous()">Precedent-->
<!--            </ion-button>-->

<!--            <ion-button  shape="round" class="btn btn-secondary btnred"-->
<!--                         type="submit" [disabled]="slideServiceForm.invalid"  (click)="onSubmit()">Ajoutez-->
<!--            </ion-button>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
<!--    </ion-slide>-->

  </ion-slides>


</ion-content>

